const Model = require('flitter-orm/src/model/Model')
const uuid = require('uuid/v4')

/*
 * ColumnDef Model
 * -------------------------------------------------------------
 * Put some description here!
 */
class ColumnDef extends Model {
    static get schema() {
        // Return a flitter-orm schema here.
        return {
            headerName: String,
            field: String,
            DatabaseId: String,
            UUID: { type: String, default: () => uuid() },
            Type: { type: String, default: 'text' }, // text, number for now
        }
    }
    
    // Static and instance methods can go here
}

module.exports = exports = ColumnDef
